View Issue Details

IDProjectCategoryView StatusLast Update
0015982CentOS-7shim-signedpublic2019-04-09 19:02
Reporterpcfe 
PrioritynormalSeveritymajorReproducibilityalways
Status assignedResolutionopen 
PlatformSoftIron OverDrive 1000OSCentOS LinuxOS Version7 (AltArch)
Product Version7.6.1810 
Target VersionFixed in Version 
Summary0015982: upgrading to 15-1.el7.centos makes SoftIron OverDrive 1000 unbootable
Descriptionwhen I boot the 7.6.1810 ISO (after writing it to USB)
I get
Failed to set MokListRT: Invalid Parameter
Synchronous Exception at 0x00000081F86B2B04

after power up of my SoftIron OverDrive 1000 and before I see any grub output.

So I installed 7.5 (CentOS-7-aarch64-Minimal-1804.iso) and applied updates afterwards, same result on reboot affter `yum upgrade`.

Turns out that if I `yum upgrade --exclude=shim-aa64 --skip-broken` the machine remains bootable. So it seems that the installation of
```
mokutil.aarch64 15-1.el7.centos base
shim-aa64.aarch64 15-1.el7.centos base
```
breaks the boot process.
Steps To Reproduce1. Install CentOS-7-aarch64-Minimal-1804.iso
2. yum upgrade --exclude=shim-aa64 --skip-broken
3. reboot successfully
4. upgrade to mokutil.aarch64 0:15-1.el7.centos and shim-aa64.aarch64 0:15-1.el7.centos
5. trigger reboot

actual result (from serial console, up to 'Press ESCAPE for boot options .....' the output is normal):
NOTICE: BL3-1:
NOTICE: BL3-1: Built : 14:04:15, Apr 9 2016
INFO: BL3-1: Initializing runtime services
INFO: BL3-1: Preparing for EL3 exit to normal world
INFO: BL3-1: Next image address = 0x8000e80000
INFO: BL3-1: Next image spsr = 0x3c9
[screen redraws]
Press ESCAPE for boot options .....Failed to set MokListRT: Invalid Parameter


Synchronous Exception at 0x00000081F86B2B04

[at this point I have to power cycle the box to regain control]

Expected result:
machine continues booting fine
Additional InformationI'll re-test with mokutil-15-2 once it hits the mirrors (guess fasttrack or cr repo)

[root@overdrive-1000 ~]# lscpu
Architecture: aarch64
Byte Order: Little Endian
CPU(s): 4
On-line CPU(s) list: 0-3
Thread(s) per core: 1
Core(s) per socket: 2
Socket(s): 2
NUMA node(s): 1
Model: 2
BogoMIPS: 500.00
NUMA node0 CPU(s): 0-3
Flags: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
[root@overdrive-1000 ~]# dmidecode
# dmidecode 3.1
Getting SMBIOS data from sysfs.
SMBIOS 3.0.0 present.
Table at 0x81FBE10000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
    Vendor: edk2.sourceforge.net
    Version: 10:18:39
    Release Date: Dec 8 2016
    Address: 0xE0000
    Runtime Size: 128 kB
    ROM Size: 8192 kB
    Characteristics:
        BIOS is upgradeable
        BIOS shadowing is allowed
        Selectable boot is supported
        ACPI is supported
        Smart battery is supported
        Function key-initiated network boot is supported
        UEFI is supported
    BIOS Revision: 0.1

Handle 0x0001, DMI type 1, 27 bytes
System Information
    Manufacturer: AMD
    Product Name: Seattle
    Version: 1.0
    Serial Number: System Serial#
    UUID: 25ef0280-ec82-42b0-8fb6-10adccc67c02
    Wake-up Type: Power Switch
    SKU Number: System SKU#
    Family: edk2

Handle 0x0002, DMI type 2, 17 bytes
Base Board Information
    Manufacturer: AMD
    Product Name: Seattle
    Version: 1.0
    Serial Number: Base Board Serial#
    Asset Tag: Base Board Asset Tag#
    Features:
        Board is a hosting board
    Location In Chassis: Part Component
    Chassis Handle: 0x0000
    Type: Motherboard
    Contained Object Handles: 0

Handle 0x0003, DMI type 3, 24 bytes
Chassis Information
    Manufacturer: AMD
    Type: Laptop
    Lock: Not Present
    Version: 1.0
    Serial Number: Chassis Board Serial#
    Asset Tag: Chassis Board Asset Tag#
    Boot-up State: Safe
    Power Supply State: Safe
    Thermal State: Safe
    Security Status: None
    OEM Information: 0x00000000
    Height: Unspecified
    Number Of Power Cords: Unspecified
    Contained Elements: 0
    SKU Number: Not Specified

Handle 0x0004, DMI type 4, 48 bytes
Processor Information
    Socket Designation: Socket
    Type: Central Processor
    Family: ARM
    Manufacturer: ARM
    ID: 11 00 2F 01 00 00 00 00
    Signature: Implementor 0x01, Variant 0x2, Architecture 15, Part 0x001, Revision 1
    Version: v8
    Voltage: 1.0 V
    External Clock: 100 MHz
    Max Speed: 1700 MHz
    Current Speed: 1700 MHz
    Status: Populated, Enabled
    Upgrade: Daughter Board
    L1 Cache Handle: 0x0000
    L2 Cache Handle: 0x0000
    L3 Cache Handle: 0x0000
    Serial Number: 1.0
    Asset Tag: 1.0
    Part Number: 1.0
    Core Count: 4
    Core Enabled: 4
    Thread Count: 4
    Characteristics:
        64-bit capable
        Multi-Core
        Execute Protection
        Enhanced Virtualization

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L1 Cache
    Configuration: Enabled, Not Socketed, Level 1
    Operational Mode: Write Back
    Location: Internal
    Installed Size: 80 kB
    Maximum Size: 80 kB
    Supported SRAM Types:
        Synchronous
    Installed SRAM Type: None
    Speed: Unknown
    Error Correction Type: Multi-bit ECC
    System Type: Unified
    Associativity: Fully Associative

Handle 0x0006, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L2 Cache
    Configuration: Enabled, Not Socketed, Level 2
    Operational Mode: Write Back
    Location: Internal
    Installed Size: 1024 kB
    Maximum Size: 1024 kB
    Supported SRAM Types:
        Synchronous
    Installed SRAM Type: None
    Speed: Unknown
    Error Correction Type: Multi-bit ECC
    System Type: Unified
    Associativity: 4-way Set-associative

Handle 0x0007, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L3 Cache
    Configuration: Enabled, Not Socketed, Level 3
    Operational Mode: Write Back
    Location: Internal
    Installed Size: 8000 kB
    Maximum Size: 8000 kB
    Supported SRAM Types:
        Synchronous
    Installed SRAM Type: None
    Speed: Unknown
    Error Correction Type: Multi-bit ECC
    System Type: Unified
    Associativity: 16-way Set-associative

Handle 0x0008, DMI type 9, 17 bytes
System Slot Information
    Designation: SD Card
    Type: Other
    Current Usage: Available
    Length: Other
    Characteristics: Unknown
    Bus Address: 0000:00:00.0

Handle 0x0009, DMI type 16, 23 bytes
Physical Memory Array
    Location: System Board Or Motherboard
    Use: System Memory
    Error Correction Type: None
    Maximum Capacity: 4095 PB
    Error Information Handle: Not Provided
    Number Of Devices: 2

Handle 0x000A, DMI type 17, 40 bytes
Memory Device
    Array Handle: 0x0000
    Error Information Handle: 0x0000
    Total Width: 64 bits
    Data Width: 64 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM 0
    Bank Locator: CHANNEL A
    Type: DDR4
    Type Detail: Unknown
    Speed: 1066 MT/s
    Manufacturer: .6
    Serial Number: 0000E7C1
    Asset Tag: Not Specified
    Part Number: ...
    Rank: 1
    Configured Clock Speed: 933 MT/s
    Minimum Voltage: Unknown
    Maximum Voltage: Unknown
    Configured Voltage: Unknown

Handle 0x000B, DMI type 17, 40 bytes
Memory Device
    Array Handle: 0x0000
    Error Information Handle: 0x0000
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: <OUT OF SPEC>
    Set: None
    Locator: Not Specified
    Bank Locator: Not Specified
    Type: <OUT OF SPEC>
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Not Specified
    Serial Number: Not Specified
    Asset Tag: Not Specified
    Part Number: Not Specified
    Rank: Unknown
    Configured Clock Speed: Unknown
    Minimum Voltage: Unknown
    Maximum Voltage: Unknown
    Configured Voltage: Unknown

Handle 0x000C, DMI type 17, 40 bytes
Memory Device
    Array Handle: 0x0000
    Error Information Handle: 0x0000
    Total Width: 64 bits
    Data Width: 64 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM 0
    Bank Locator: CHANNEL B
    Type: DDR4
    Type Detail: Unknown
    Speed: 1066 MT/s
    Manufacturer: .6
    Serial Number: 0000E7C1
    Asset Tag: Not Specified
    Part Number: ...
    Rank: 1
    Configured Clock Speed: 933 MT/s
    Minimum Voltage: Unknown
    Maximum Voltage: Unknown
    Configured Voltage: Unknown

Handle 0x000D, DMI type 17, 40 bytes
Memory Device
    Array Handle: 0x0000
    Error Information Handle: 0x0000
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: <OUT OF SPEC>
    Set: None
    Locator: Not Specified
    Bank Locator: Not Specified
    Type: <OUT OF SPEC>
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Not Specified
    Serial Number: Not Specified
    Asset Tag: Not Specified
    Part Number: Not Specified
    Rank: Unknown
    Configured Clock Speed: Unknown
    Minimum Voltage: Unknown
    Maximum Voltage: Unknown
    Configured Voltage: Unknown

Handle 0x000E, DMI type 19, 31 bytes
Memory Array Mapped Address
    Starting Address: 0x00000000000
    Ending Address: 0x001FFFFFFFF
    Range Size: 8 GB
    Physical Array Handle: 0x0000
    Partition Width: 255

Handle 0x000F, DMI type 32, 11 bytes
System Boot Information
    Status: No errors detected

Handle 0xFEFF, DMI type 127, 4 bytes
End Of Table
TagsNo tags attached.
abrt_hash
URL

Relationships

related to 0015522 resolvedarrfab Machine with older uefi fw doesn't boot with newer shim (like on Apple 2008 iMac) 

Activities

pgreco

pgreco

2019-04-04 01:13

developer   ~0034158

I'm pretty sure this is a duplicate of https://bugs.centos.org/view.php?id=15522, but since it wasn't released for aarch64, I'll leave it open for now.
@pcfe, please test with https://buildlogs.centos.org/c7.1810.u.aarch64/shim-signed/20190222225610/15-2.el7.centos.aarch64/ and let us know.
@JohnnyHughes, any idea why this was built but never released?
arrfab

arrfab

2019-04-04 05:36

administrator   ~0034159

While it was built, nobody ever reported that issue. It also depends on your firwmare : we also have an old overdrive/supercharger board but it works on that one, as the firwmare is so old that it doesn't even support secureboot at all.
So if @pcfe can indeed report good feedback we can sign/push it
pcfe

pcfe

2019-04-05 13:59

reporter   ~0034164

Seemingly not a dupe of 15522

Problem still happens with 15-2

Additional info:
# rpm -q shim-signed mokutil shim-aa64
package shim-signed is not installed
mokutil-15-2.el7.centos.aarch64
shim-aa64-15-2.el7.centos.aarch64
# reboot
[...]
Press ESCAPE for boot options .....Failed to set MokListRT: Invalid Parameter


Synchronous Exception at 0x00000081F86B2B2C
pcfe

pcfe

2019-04-05 14:30

reporter   ~0034165

forgot to paste the OverDrive 1000 firmware version earlier, it's 1.02

$ lsusb -d 2e02: -v | grep bcdDevice
  bcdDevice 1.02

Issue History

Date Modified Username Field Change
2019-04-03 22:17 pcfe New Issue
2019-04-04 01:07 pgreco Relationship added related to 0015522
2019-04-04 01:13 pgreco Status new => assigned
2019-04-04 01:13 pgreco Note Added: 0034158
2019-04-04 05:36 arrfab Note Added: 0034159
2019-04-05 13:59 pcfe Note Added: 0034164
2019-04-05 14:30 pcfe Note Added: 0034165